> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update project defaults

> Choose the default project and sandbox size for the organization.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public put /v1/projects/defaults
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/projects/defaults:
    put:
      tags:
        - Projects
      summary: Update project defaults
      description: Choose the default project and sandbox size for the organization.
      operationId: updateProjectDefaults
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                projectId:
                  type:
                    - string
                    - 'null'
                  minLength: 1
                  maxLength: 255
                sandboxSize:
                  type: string
                  enum:
                    - nano
                    - micro
                    - small
                    - medium
                    - large
                    - xl
                    - xxl
                    - ultra
              required:
                - projectId
                - sandboxSize
              additionalProperties: false
      responses:
        '200':
          description: Update project defaults
          content:
            application/json:
              schema:
                type: object
                properties:
                  projectId:
                    type:
                      - string
                      - 'null'
                    minLength: 1
                    maxLength: 255
                  sandboxSize:
                    type: string
                    enum:
                      - nano
                      - micro
                      - small
                      - medium
                      - large
                      - xl
                      - xxl
                      - ultra
                required:
                  - projectId
                  - sandboxSize
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Project resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Project resource conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Project operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````